%define upstream_name    Shell-Command
%define upstream_version 0.06

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:    Cross-platform functions emulating common shell commands
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Shell/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::Command)
BuildRequires: perl(Test::More)
BuildArch: noarch

%description
Thin wrapper around 'ExtUtils::Command'. See the ExtUtils::Command manpage
for a description of available commands.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc README Changes LICENSE META.yml META.json
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Thu Jun 26 2025 umeabot <umeabot> 0.60.0-11.mga10
+ Revision: 2200642
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 0.60.0-10.mga9
+ Revision: 1805671
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.60.0-9.mga8
+ Revision: 1497157
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.60.0-8.mga7
+ Revision: 1271181
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.60.0-7.mga6
+ Revision: 1033046
- Rebuild for perl 5.22.2

* Sun Jan 31 2016 umeabot <umeabot> 0.60.0-6.mga6
+ Revision: 929397
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.60.0-5.mga5
+ Revision: 745706
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.60.0-4.mga5
+ Revision: 686196
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.60.0-3.mga4
+ Revision: 514607
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.60.0-2.mga3
+ Revision: 372634
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jun 22 2011 jquelin <jquelin> 0.60.0-1.mga2
+ Revision: 112161
- imported package perl-Shell-Command


* Wed Jun 22 2011 cpan2dist 0.06-1mga
- initial mageia release, generated with cpan2dist
